Subject: bug#17157: [PATCH 1/5] Partially revert "dfa: improve port to freestanding DJGPP"

From: Paul Eggert <[email-masked]>
Date: Wed, 02 Apr 2014 13:58:37 -0700

On 04/02/2014 12:40 AM, [email-masked] wrote:

> It may be that VMS and OS/2 don't have the MBS support

VMS and OS/2 both have MBS support, as far as I can see.  Certainly 
OpenVMS does.

Gawk's ChangeLogs suggest that mbsupport.h is needed only to support a 
port of Gawk to VAX C circa 2004, one where Pat Rankin ran into a 
problem with VAX C.  This predates the gawk git first checkin, and 
predates bug-gawk, so I don't know what the problem was -- all I know is 
the bit of info that's in the Gawk changelogs.  However, whatever the 
problem was, it should be possible to work around it without affecting 
dfa.c, and dfa.c should be able to be consistent about simply using 
MB_CUR_MAX to test whether we're in a unibyte locale.

I'll look into writing patches for that, one for grep (which affects 
dfa.c), one for gawk (which will use the same patches to dfa.c).